<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net10.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
  </PropertyGroup>

  <ItemGroup>
    <ProjectReference Include="..\..\Shared\Knot.Shared.Kernel\Knot.Shared.Kernel.csproj" />
    <ProjectReference Include="..\..\Contracts\Auth\Knot.Contracts.Auth.csproj" />
    <ProjectReference Include="..\..\Contracts\Profiles\Knot.Contracts.Profiles.csproj" />
    <ProjectReference Include="..\..\Contracts\Settings\Knot.Contracts.Settings.csproj" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="BCrypt.Net-Next" Version="4.1.0" />
    <PackageReference Include="MediatR" Version="12.0.1" />
    <PackageReference Include="Microsoft.EntityFrameworkCore" Version="10.0.4" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Relational" Version="10.0.4" />
    <PackageReference Include="Microsoft.Extensions.Configuration.Abstractions" Version="10.0.4" />
    <PackageReference Include="Microsoft.Extensions.DependencyInjection.Abstractions" Version="10.0.4" />
    <PackageReference Include="Microsoft.Extensions.Options.ConfigurationExtensions" Version="10.0.4" />
    <PackageReference Include="Microsoft.IdentityModel.Tokens" Version="8.16.0" />
    <PackageReference Include="Npgsql.EntityFrameworkCore.PostgreSQL" Version="10.0.1" />
    <PackageReference Include="SixLabors.ImageSharp" Version="3.1.12" />
    <PackageReference Include="System.IdentityModel.Tokens.Jwt" Version="8.16.0" />
  </ItemGroup>

  <ItemGroup>
    <FrameworkReference Include="Microsoft.AspNetCore.App" />
  </ItemGroup>

</Project>
